export class AddApIds1689900517279 {
    name = 'AddApIds1689900517279'

    async up(queryRunner) {
        await queryRunner.query(`
            ALTER TABLE "post"
            ADD "apId" text
        `);
        await queryRunner.query(`
            ALTER TABLE "post"
            ADD CONSTRAINT "UQ_e16e967a725a0f3f681bf99bd6e" UNIQUE ("apId")
        `);
        await queryRunner.query(`
            COMMENT ON COLUMN "post"."apId" IS 'ActivityPub ID'
        `);
        await queryRunner.query(`
            ALTER TABLE "blog"
            ADD "apId" text
        `);
        await queryRunner.query(`
            ALTER TABLE "blog"
            ADD CONSTRAINT "UQ_624066bd60ecf91ee390637d171" UNIQUE ("apId")
        `);
        await queryRunner.query(`
            COMMENT ON COLUMN "blog"."apId" IS 'ActivityPub ID'
        `);
    }

    async down(queryRunner) {
        await queryRunner.query(`
            COMMENT ON COLUMN "blog"."apId" IS 'ActivityPub ID'
        `);
        await queryRunner.query(`
            ALTER TABLE "blog" DROP CONSTRAINT "UQ_624066bd60ecf91ee390637d171"
        `);
        await queryRunner.query(`
            ALTER TABLE "blog" DROP COLUMN "apId"
        `);
        await queryRunner.query(`
            COMMENT ON COLUMN "post"."apId" IS 'ActivityPub ID'
        `);
        await queryRunner.query(`
            ALTER TABLE "post" DROP CONSTRAINT "UQ_e16e967a725a0f3f681bf99bd6e"
        `);
        await queryRunner.query(`
            ALTER TABLE "post" DROP COLUMN "apId"
        `);
    }

}
